<?php
/**
 * Created by PhpStorm.
 * User: oriol
 * Date: 21/04/16
 * Time: 20:46
 */

namespace tests;
use App\Acces;


class AccesTest extends \TestCase
{
    public function testAccesTestCanBeCreated()
    {
        $AccesTest = new Acces();
    }
    public function testgetAccesVehicleSancionat(){
        $AccesTest = new Acces();
        $data2 = '2016-4-15 23:59:59';
        $dias = 1;
        $data1 = strtotime ( '-'.$dias.' day' , strtotime ( $data2 ) ) ;
        $data1 = date ( 'Y-m-d H:i:s' , $data1 );
        $accesAutoritzat = False;//cotxe No autoritzat
        $vehicesSancionats = $AccesTest->getAccesVehicleInfractorsBetwenDates($accesAutoritzat,$data1,$data2);
        $this->assertEquals(count($vehicesSancionats),13);
    }
    public function testupdateMatricula(){
        //test d'actualització de l'estat de la matricula
        $AccesTest = new Acces();
        $idAcces = 1;
        $matricula = '8319CJF';
        $vehicesSancionats = $AccesTest->updateErrorLecturaMatricula($idAcces, $matricula, 1, 1);
        $data2 = '2016-4-15 23:59:59';
        $dias = 1;
        $data1 = strtotime ( '-'.$dias.' day' , strtotime ( $data2 ) ) ;
        $data1 = date ( 'Y-m-d H:i:s' , $data1 );
        $accesAutoritzat = False;//cotxe No autoritzat
        $vehicesSancionats = $AccesTest->getAccesVehicleInfractorsBetwenDates($accesAutoritzat,$data1,$data2);
        $this->assertEquals(count($vehicesSancionats),12);
        $vehicesSancionats = $AccesTest->updateErrorLecturaMatricula($idAcces, $matricula, 1, 0);
    }


}
